from gql import Client
from gql.transport.requests import RequestsHTTPTransport

from .credentials import DE4_ADMIN_USERNAME, DE4_ADMIN_TOKEN, DE4_HOST

transport = RequestsHTTPTransport(
    url=f"https://{DE4_HOST}/Manager/graphql",
    auth=(DE4_ADMIN_USERNAME, DE4_ADMIN_TOKEN),
    use_json=True
)
client = Client(transport=transport)
