import sys
from pathlib import Path
sys.path.append(Path(__file__).resolve().parent.parent.__str__())

from helpers.constants import DE5_APPS_INFO_PATH, DE5_APPS_SLICING
from helpers.deploy import deploy_apps
from helpers.file import get_from_file


def get_apps():
    return get_from_file(DE5_APPS_INFO_PATH)


if __name__ == "__main__":
    apps = get_apps()
    deploy_apps(apps[DE5_APPS_SLICING], '', True, True)
